Core - Task # 54235

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54266 (New): As an User | want FAL to be performant

Status: Resolved Priority: Must have

Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2013-12-06 Assigned To: Steffen Ritter

Updated: 2014-02-17 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: easy

Sprint Focus:

Subject: getSha1 does not use the Cached property but always recalculate

Description

Filelnterface::getSha1 - always calculates the sha1 from filesystem

Associated revisions

Revision a9f11113 - 2014-01-13 18:49 - Steffen Ritter

[TASK] Calculated hash of File object is never used

The indexing pre-calculates the file hash and stores it in
the sys_file table. Sadly the getter of file objects never looks
at this again and always recalculates the hash via the driver,

which is very slow.

Resolves: #54235

Releases: 6.2, 6.1, 6.0

Change-Id: 116bfa2126031f26b8e31da8d8c0b3fc07d0217dc
Reviewed-on: https://review.typo3.org/26689

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-by: Oliver Klee
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

History

#1 - 2013-12-07 15:52 - Steffen Ritter
- Parent task set to #54266

#2 - 2014-01-08 09:59 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26689
#3 - 2014-01-08 10:07 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26689

#4 - 2014-01-08 10:09 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26689

#5 - 2014-01-08 11:37 - Steffen Ritter
- % Done changed from 0 to 70

#6 - 2014-01-13 15:17 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26689

#7 - 2014-01-13 19:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:a9f111f324824dcc771cc83631a09e8b1820603b.

#8 - 2014-01-15 16:37 - Steffen Ritter

- % Done changed from 100 to 90

#9 - 2014-02-17 09:01 - Steffen Ritter
- % Done changed from 90 to 100
